Update Space Member
UpdateSpaceMember changes a member's space role. Only a space administrator can change roles, and a space must keep at least one administrator.
Path Parameters
space*string
The space id.
member*string
The member id.
Query Parameters
updateMask?string
Required. The fields to update. Must include role. The user path is also accepted, but the user must match the existing member and is never changed.
Format
field-maskRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
SpaceMember is a user's membership and governance role in a space.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/spaces/string/members/string" \ -H "Content-Type: application/json" \ -d '{ "user": "string", "role": "ROLE_UNSPECIFIED" }'{ "name": "string", "user": "string", "role": "ROLE_UNSPECIFIED"}